[metadata]
name = igwn-lldd-fdio
version = attr: igwn_lldd_fdio.__version__
author = Rhys Poulton
author_email = poulton@ego-gw.it
description = International Gravitational Wave Network (IGWN) - Low Latency Data Distribution - Frame distribution Input/ Output
license = GPL-3.0-or-later
license_files = LICENSE
# classifiers
classifiers =
	Development Status :: 1 - Planning
	Intended Audience :: Science/Research
	License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)
	Natural Language :: English
	Operating System :: OS Independent
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Topic :: Scientific/Engineering :: Astronomy
	Topic :: Scientific/Engineering :: Physics

[options]
packages = find:
python_requires = >=3.6
setup_requires =
	setuptools >= 38.2.5
install_requires =
	configargparse
#	pythonvirgotools
#       pyfd
include_package_data = true

[options.entry_points]
console_scripts =
    kafka2fdio = igwn_lldd_fdio.kafka2fdio:main
    fdio2kafka = igwn_lldd_fdio.fdio2kafka:main

[options.extras_require]
# test suite
test =
	pytest >=3.9.1
	pytest-cov >=2.4.0
	flaky

[flake8]
select =
	E,
	EXE,
	F,
	W,
ignore =
	W503,
exclude =
	__pycache__,
	.eggs/,
	.git/,
